=== debian/control ===
Source: gmic
Section: graphics
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 libgimp2.0-dev (>= 2.4),
 libavcodec-dev, libavformat-dev, libswscale-dev,
 libx11-dev, libxrandr-dev, libfftw3-dev | fftw3-dev,
 libcv-dev, libhighgui-dev, libopenexr-dev
Standards-Version: 3.9.2
Homepage: http://gmic.sourceforge.net/
Vcs-Git: git://git.debian.org/collab-maint/gmic.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gmic.git

Package: gmic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gmic-doc, gimp-gmic
Description: GREYC's Magic Image Converter
 G'MIC is an interpreter of image processing macros whose goal is to
 convert, manipulate and visualize generic 1D/2D/3D multi-spectral
 image files. This includes classical color images, but also more
 complex data as image sequences or 3D volumetric images.
 .
 This package contains the stand-alone binary.

Package: gimp-gmic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gimp (>= 2.6)
Suggests: gmic, gmic-doc
Enhances: gimp
Description: GIMP plugin for GREYC's Magic Image Converter
 G'MIC is an interpreter of image processing macros whose goal is to
 convert, manipulate and visualize generic 1D/2D/3D multi-spectral
 image files. This includes classical color images, but also more
 complex data as image sequences or 3D volumetric images.
 .
 This package contains the GIMP plugin.
