=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libgimp2.0-dev (>= 2.4),
  libavcodec-dev, libavformat-dev, libswscale-dev,
  libx11-dev, libxrandr-dev, libfftw3-dev | fftw3-dev,
- libcv-dev, libhighgui-dev, libopenexr-dev
+ libopencv-highgui-dev, libopenexr-dev
 Standards-Version: 3.9.2
 Homepage: http://gmic.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/gmic.git
