## gmic 1.5.1.6+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 #
 #  Description : Makefile for compiling :
 #
-#                 . the G'MIC command line tool ('make').
-#                 . the G'MIC plug-in for GIMP ('make gimp').
-#                 . the G'MIC interpreter, as a C++ library ('make lib').
+#                 . the G'MIC command line tool (type 'make').
+#                 . the G'MIC plug-in for GIMP (type 'make gimp').
+#                 . the G'MIC interpreter, as a C++ library (type 'make lib').
 #
 #                ( http://gmic.sourceforge.net )
 #
@@ -64,7 +64,6 @@
 ifeq ($(OS),MINGW32_NT-6.1)
 EXE = .exe
 endif
-
 ifeq ($(CC),g++)
 IS_GCC = yes
 endif
@@ -81,12 +80,12 @@
 IS_GCC = yes
 endif
 
-#---------------------------------------------------
-# Set compilation flags allowing to customize G'MIC
-#---------------------------------------------------
+#-----------------------------------------------
+# Set compilation flags for customizing build
+#-----------------------------------------------
 
 # Flags to enable 'beta' version.
-IS_BETA_CFLAGS = 
+IS_BETA_CFLAGS = -Dcimg_use_vt100 
 
 # Flags that are mandatory to compile 'gmic'.
 MANDATORY_CFLAGS += -Dgmic_build -I$(USR)/include
@@ -110,51 +109,73 @@
 
 # Flags to enable image display, using X11
 # (keep /usr/ dirname here since X11 is located in /usr/ on Mac too).
+# This requires the presence of the X11 include and library files.
+# (package 'libx11-dev' on Debian).
 X11_CFLAGS = -Dcimg_display=1 -Dcimg_appname=\\\"gmic\\\" -I/usr/X11R6/include #-Dcimg_use_xrandr
 X11_LDFLAGS = -L/usr/X11R6/lib -lX11 -lpthread #-lXrandr
 
 # Flags to enable fast display, using XShm.
+# This requires the presence of the X11 extension include and library files.
+# (package 'libx11-dev' on Debian).
 XSHM_CFLAGS = -Dcimg_use_xshm
 XSHM_LDFLAGS = -L$(USR)/X11R6/lib -lXext
 
 # Flags to enable image display, using GDI32.
+# This requires the presence of the GDI32 include and library files.
 GDI32_CFLAGS = -Dcimg_display=2 -Dcimg_appname=\\\"gmic\\\"
 GDI32_LDFLAGS = -lgdi32
 
 # Flags to enable native support for PNG image files, using the PNG library.
+# This requires the presence of the libpng include and library files.
+# (package 'libpng12-dev' on Debian).
 PNG_CFLAGS = -Dcimg_use_png
 PNG_LDFLAGS = -lpng -lz
 
 # Flags to enable native support for JPEG image files, using the JPEG library.
+# This requires the presence of the libjpeg include and library files.
+# (package 'libjpeg62-dev' on Debian).
 JPEG_CFLAGS = -Dcimg_use_jpeg
 JPEG_LDFLAGS = -ljpeg
 
 # Flags to enable native support for TIFF image files, using the TIFF library.
+# This requires the presence of the libtiff include and library files.
+# (package 'libtiff4-dev' on Debian).
 TIFF_CFLAGS = -Dcimg_use_tiff
 TIFF_LDFLAGS = -ltiff
 
-# Flags to enable native support for MINC image files, using the MINC2 library.
-MINC2_CFLAGS = -Dcimg_use_minc2
-MINC2_LDFLAGS = -lminc2
+# Flags to enable native support for MINC2 image files, using the MINC2 library.
+# ( http://en.wikibooks.org/wiki/MINC/Reference/MINC2.0_Users_Guide )
+# (package 'libminc-dev' on Debian).
+MINC2_CFLAGS = -Dcimg_use_minc2 -I${HOME}/local/include
+MINC2_LDFLAGS = -lminc_io -lvolume_io2 -lminc2 -lnetcdf -lhdf5 -lz -L${HOME}/local/lib
 
 # Flags to enable native support for various video files, using the FFMPEG library.
+# This requires the presence of the FFMPEG include and library files.
+# (packages 'libavcodec-dev', 'libavutil-dev', 'libavformat-dev' and 'libswscale-dev' on Debian).
 FFMPEG_CFLAGS = -Dcimg_use_ffmpeg -D__STDC_CONSTANT_MACROS -I$(USR)/include/libavcodec -I$(USR)/include/libavformat -I$(USR)/include/libswscale -I$(USR)/include/ffmpeg
 FFMPEG_LDFLAGS = -lavcodec -lavformat -lswscale
 
 # Flags to enable native support for compressed .cimgz files, using the Zlib library.
+# This requires the presence of the Zlib include and library files.
+# (package 'zlib1g-dev' on Debian).
 ZLIB_CFLAGS = -Dcimg_use_zlib
 ZLIB_LDFLAGS = -lz
 
 # Flags to enable native support of webcams, using the OpenCV library.
-OPENCV_CFLAGS = -Dcimg_use_opencv -I$(USR)/include/opencv
+# This requires the presence of the OpenCV include and library files.
+# (package 'libcv3-2-dev' on Debian).
 ifeq ($(OS),Darwin)
-OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui   # Use this for OpenCV 2.2.0 !
-else
-OPENCV_LDFLAGS = -lcv -lhighgui
-# OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui   # Use this for OpenCV 2.2.0 !
+OPENCV_CFLAGS = -Dcimg_use_opencv -I$(USR)/include -I$(USR)/include/opencv
+OPENCV_LDFLAGS = `pkg-config opencv --libs`   #-> Use this for OpenCV 2.2.0 !
+else
+# OPENCV_CFLAGS = -Dcimg_use_opencv -I$(USR)/include -I$(USR)/include/opencv
+# OPENCV_LDFLAGS = -lcv -lhighgui
+# OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui   #-> Use this for OpenCV 2.2.0 !
 endif
 
 # Flags to enable native support of most classical image file formats, using the GraphicsMagick++ library.
+# This requires the presence of the GraphicsMagick++ include and library files.
+# (package 'libgraphicsmagick++1-dev' on Debian).
 MAGICK_CFLAGS = -Dcimg_use_magick -I$(USR)/include/GraphicsMagick
 ifeq ($(OS),Darwin)
 MAGICK_LDFLAGS = -L$(USR)/lib -lGraphicsMagick++ -lGraphicsMagick -llcms -ltiff -lfreetype -ljpeg -lpng -lbz2 -lxml2 -lz -lm -lpthread -lltdl
@@ -163,10 +184,14 @@
 endif
 
 # Flags to enable native support of EXR file format, using the OpenEXR library/
+# This requires the presence of the OpenEXR include and library files.
+# (package 'libopenexr-dev' on Debian).
 EXR_CFLAGS = -Dcimg_use_openexr -I$(USR)/include/OpenEXR
 EXR_LDFLAGS = -lIlmImf -lHalf
 
 # Flags to enable the use of the FFTW3 library.
+# This requires the presence of the FFTW3 include and library files.
+# (package 'libfftw3-dev' on Debian).
 FFTW_CFLAGS = -Dcimg_use_fftw3
 FFTW_LDFLAGS = -lfftw3
 ifeq ($(OS),MINGW32_NT-5.1)
@@ -177,16 +202,18 @@
 endif
 
 # Flags to enable the use of the BOARD library.
+# This requires the presence of the BOARD include and library files.
+# (no packages exist for Debian at this time).
 BOARD_CFLAGS = -Dcimg_use_board
 BOARD_LDFLAGS = -lboard
 
 # Sets of flags for building different configurations.
 STD_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(PNG_CFLAGS) \
                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
-	  	  $(EXR_CFLAGS) $(FFTW_CFLAGS) $(OPENCV_CFLAGS) # $(FFMPEG_CFLAGS) $(XSHM_CFLAGS) # $(MAGICK_CFLAGS)
+	  	  $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(OPENCV_CFLAGS) $(FFMPEG_CFLAGS) $(XSHM_CFLAGS) # $(MAGICK_CFLAGS)
 STD_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(PNG_LDFLAGS) \
 		   $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) \
-	           $(EXR_LDFLAGS) $(FFTW_LDFLAGS) $(OPENCV_LDFLAGS) # $(FFMPEG_LDFLAGS) $(XSHM_LDFLAGS) # $(MAGICK_LDFLAGS)
+	           $(EXR_LDFLAGS) $(FFTW_LDFLAGS) # $(OPENCV_LDFLAGS) $(FFMPEG_LDFLAGS) $(XSHM_LDFLAGS) # $(MAGICK_LDFLAGS)
 
 CUST_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                    $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(MINC2_CFLAGS) $(ZLIB_CFLAGS) \
@@ -244,6 +271,7 @@
 	$(MAKE) bashcompletion
 	$(MAKE) gimp
 	$(MAKE) lib
+	$(MAKE) zart
 else
 ifeq ($(OS),Darwin)
 	@echo "**"
@@ -252,6 +280,7 @@
 	$(MAKE) macosx
 	$(MAKE) bashcompletion
 	$(MAKE) gimp
+	$(MAKE) zart
 else
 	@echo "**"
 	@echo "** Windows configuration"
@@ -266,55 +295,14 @@
 	$(MAKE) "CFLAGS=$(STD_GIMP_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_GIMP_LDFLAGS) $(OPT_LDFLAGS)" "STRIP_EXE=1" gmic_gimp
 
 lib:
-	$(MAKE) "CFLAGS=$(STD_LIB_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_LIB_LDFLAGS)" gmic_lib
+	$(MAKE) "CFLAGS=$(STD_LIB_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_LIB_LDFLAGS) $(OPT_LDFLAGS)" gmic_lib
+
+zart: lib
+ifneq ($(OS),Darwin)
+	cd ../zart && qmake-qt4 zart.pro && $(MAKE) && strip zart
+else
+	cd ../zart && qmake zart.pro && $(MAKE) "CFLAGS=$(STD_MACOSX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_MACOSX_LDFLAGS) $(OPT_LDFLAGS)"
+endif
 
 # Entries for non-default configurations.
 minimal:
-	$(MAKE) "CFLAGS+=$(MINIMAL_UNIX_CFLAGS)" "LDFLAGS+=$(MINIMAL_UNIX_LDFLAGS)" gmic_minimal
-
-debug:
-	$(MAKE) "CFLAGS+=$(DEBUG_UNIX_CFLAGS)" "LDFLAGS+=$(DEBUG_UNIX_LDFLAGS)" gmic_minimal
-
-linux:
-	$(MAKE) "CFLAGS=$(STD_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_UNIX_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
-
-custom:
-	$(MAKE) "CFLAGS=$(CUST_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(CUST_UNIX_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
-
-solaris:
-	$(MAKE) "CFLAGS=$(STD_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_UNIX_LDFLAGS) -R$(USR)/X11R6/lib -lrt -lnsl -lsocket" "STRIP_EXE=1" gmic_gmic
-
-macosx:
-	$(MAKE) "CFLAGS=$(STD_MACOSX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_MACOSX_LDFLAGS) $(OPT_LDFLAGS)" gmic_gmic
-
-windows:
-	$(MAKE) "CFLAGS=$(STD_WINDOWS_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_WINDOWS_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
-
-windebug:
-	$(MAKE) "CFLAGS=$(DEBUG_WINDOWS_CFLAGS)" "LDFLAGS=$(DEBUG_WINDOWS_LDFLAGS)" gmic_minimal
-
-# Rules to build compilation modules.
-gmic_lib.o: gmic.cpp gmic_def.h
-	$(CC) -o gmic_lib.o -c gmic.cpp -fPIC -Dgmic_minimal -Dgmic_float $(CFLAGS)
-gmic_lib: gmic_lib.o
-	ar rcs libgmic.a gmic_lib.o
-	$(CC) -shared -Wl,-soname,libgmic.so.1 -o libgmic.so gmic_lib.o $(LDFLAGS)
-	$(CC) -o gmic_use_lib gmic_use_lib.cpp -L. -lgmic $(FFTW_LDFLAGS)
-
-gmic_gimp.o: gmic.cpp gmic_def.h
-	$(CC) -o gmic_gimp.o -c gmic.cpp -Dgmic_gimp -Dgmic_minimal -Dgmic_float $(CFLAGS)
-gmic_gimp : gmic_gimp.o gmic_gimp.cpp
-	$(CC) -o gmic_gimp gmic_gimp.cpp gmic_gimp.o `gimptool-2.0$(EXE) --cflags` $(CFLAGS) `gimptool-2.0$(EXE) --libs` $(LDFLAGS)
-	strip gmic_gimp$(EXE)
-
-gmic_minimal: gmic.cpp
-	$(CC) -o gmic gmic.cpp -Dgmic_minimal -Dgmic_float -Dgmic_main $(CFLAGS) $(LDFLAGS)
-
-gmic_bool.o: gmic.cpp
-	$(CC) -o gmic_bool.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_bool $(CFLAGS)
-gmic_uchar.o: gmic.cpp
-	$(CC) -o gmic_uchar.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_uchar $(CFLAGS)
-gmic_char.o: gmic.cpp
-	$(CC) -o gmic_char.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_char $(CFLAGS)
-gmic_ushort.o: gmic.cpp
-	$(CC) -o gmic_ushort.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_ushort $(CFLAGS)
