=== debian/changelog ===
gmic (1.5.1.6+dfsg-4) unstable; urgency=low

  * [4ed5416f] Fix author/copyright information in debian/copyright and zart.1

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 04 Jul 2012 18:43:34 +0200

gmic (1.5.1.6+dfsg-3) unstable; urgency=low

  * [152547f5] Add missing Breaks/Replaces.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 28 Jun 2012 19:55:47 +0200

gmic (1.5.1.6+dfsg-2) unstable; urgency=low

  * [4012fb0e] Split zart into its own package.
    This avoids pulling QT and X for a command-line tool.
  * [e420fdb0] Add a manpage for zart.
  * [eff81582] Remove debian/dirs to avoid empty directories.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 22 Jun 2012 18:12:19 +0200

gmic (1.5.1.6+dfsg-1) unstable; urgency=low

  * [cfe57a54] Merge tag 'upstream/1.5.1.6+dfsg'
    Upstream version 1.5.1.6+dfsg
  * [fbc1e4d2] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 22 Jun 2012 17:03:21 +0200

gmic (1.5.1.5+dfsg-1) unstable; urgency=low

  * [d3cb2da4] Remove override_dh_clean from .PHONY.
    Some debhelper versions still seem to recognize it as empty target...
  * [982453de] Merge commit 'upstream/1.5.0.9+dfsg'
  * [7c82f405] refreshing patches.
  * [7093fa88] Updating changelog.
  * [f8500c13] Merge tag 'upstream/1.5.1.0+dfsg'
    Upstream version 1.5.1.0+dfsg
  * [1e04612f] Rfreshing patches.
  * [ffd49557] Updating changelog.
  * [54eefb26] Merge tag 'upstream/1.5.1.5+dfsg'
    Upstream version 1.5.1.5+dfsg
  * [317788b2] Updating changelog.
  * [03467dc0] Refreshing patches.
  * [706f87a9] Backup zart/Makefile
  * [95621201] Add build-dependencies, description and install files for zart.
  * [eefe5f9b] Add patch to fix building with ne OpenCV.
  * [bdadee8c] Updating changelog.
  * [ccb14826] Add libopencv-objdetect-dev build-dependency.
  * [6b6322ef] More opencv fixes.
  * [303ff61c] Add libopencv-imgproc-dev as build-dependency.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 21 Jun 2012 12:23:27 +0200
