=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libgimp2.0-dev (>= 2.4),
  libavcodec-dev, libavformat-dev, libswscale-dev,
  libx11-dev, libxrandr-dev, libfftw3-dev | fftw3-dev,
- libopencv-highgui-dev, libopenexr-dev
+ libopencv-highgui-dev, libopencv-objdetect-dev, libopencv-imgproc-dev, libopenexr-dev, libqt4-dev
 Standards-Version: 3.9.2
 Homepage: http://gmic.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/gmic.git
@@ -15,19 +15,37 @@
 Package: gmic
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: gmic-doc, gimp-gmic
+Suggests: gimp-gmic, gmic-zart
 Description: GREYC's Magic Image Converter
  G'MIC is an interpreter of image processing macros whose goal is to
  convert, manipulate and visualize generic 1D/2D/3D multi-spectral
  image files. This includes classical color images, but also more
  complex data as image sequences or 3D volumetric images.
  .
- This package contains the stand-alone binary.
+ This package contains the stand-alone gmic binary.
+
+Package: gmic-zart
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: gmic
+Replaces: gmic (<< 1.5.1.6+dfsg-3~)
+Breaks: gmic (<< 1.5.1.6+dfsg-3~)
+Description: GREYC's Magic Image Converter - ZArt
+ G'MIC is an interpreter of image processing macros whose goal is to
+ convert, manipulate and visualize generic 1D/2D/3D multi-spectral
+ image files. This includes classical color images, but also more
+ complex data as image sequences or 3D volumetric images.
+ .
+ This package contains ZArt, a program whose purpose is to demonstrate
+ the possibilities of the G'MIC image processing language by offering
+ the choice of several manipulations on a video stream acquired from a
+ webcam. In other words, ZArt is a GUI for G'MIC real-time manipulations
+ on the output of a webcam.
 
 Package: gimp-gmic
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gimp (>= 2.6)
-Suggests: gmic, gmic-doc
+Suggests: gmic
 Enhances: gimp
 Description: GIMP plugin for GREYC's Magic Image Converter
  G'MIC is an interpreter of image processing macros whose goal is to
