=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,13 @@
 	dh $@ --sourcedirectory=src
 
 clean:
+	if [ -f zart/Makefile_old ]; then mv zart/Makefile_old zart/Makefile; fi
 	rm -f src/gmic_use_lib
 	dh $@ --sourcedirectory=src
+
+override_dh_auto_configure:
+	cp zart/Makefile zart/Makefile_old
+	dh_auto_configure
 
 override_dh_auto_test: 
 	# no tests please.
@@ -29,6 +34,6 @@
 	                 $(CURDIR)/debian/gmic/etc/bash_completion.d/gmic
 
 
-.PHONY: override_dh_auto_test override_dh_compress override_dh_auto_build override_dh_clean override_dh_install
+.PHONY: override_dh_auto_test override_dh_compress override_dh_auto_build override_dh_install
 
 # vim:ts=4 sw=2 noet
